using System;
using System.Collections.Generic;
using Server;
using Server.Items;
using Server.Mobiles;
using Server.Engines.XmlSpawner2;

namespace Server.Engines.Quests
{		
    public class TailorBulkQuestBoard : BaseGuildQuestBoard
	{
		[Constructable]
        public TailorBulkQuestBoard(int rank) : base("Tailor", rank)
		{
            Rank = rank;
		}

        [Constructable]
        public TailorBulkQuestBoard() : base("Tailor", 1)
        {
        }

        public TailorBulkQuestBoard(Serial serial)
            : base(serial)
		{
		}

        public override void OnDoubleClick(Mobile m)
        {
            XmlQuestGuildBlacksmith guild = (XmlQuestGuildBlacksmith)XmlAttach.FindAttachment(m, typeof(XmlQuestGuildBlacksmith));

            if (guild == null)
                XmlAttach.AttachTo(m, new XmlQuestGuildBlacksmith());

            base.OnDoubleClick(m);
        }

        public override Type[] Quests
        {
            get
            {
                switch (Rank)
                {
                    default:
                        return new Type[] { typeof(BaseSmithBulkOrderQuest) };
                        break;
                    case 1:
                        return new Type[] { typeof(SmithBulkOrderQuestRank1) };
                        break;
                    case 2:
                        return new Type[] { typeof(SmithBulkOrderQuestRank2) };
                        break;
                    case 3:
                        return new Type[] { typeof(SmithBulkOrderQuestRank3) };
                        break;
                    case 4:
                        return new Type[] { typeof(SmithBulkOrderQuestRank4) };
                        break;
                    case 5:
                        return new Type[] { typeof(SmithBulkOrderQuestRank5) };
                        break;
                }
            }
        }
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}